RegionGenerator.RegionType (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.cache.snapshot

## Enum RegionGenerator.RegionType

- java.lang.Object
- - java.lang.Enum<RegionGenerator.RegionType>
  - - org.apache.geode.cache.snapshot.RegionGenerator.RegionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RegionGenerator.RegionType>
  Enclosing class:
    RegionGenerator

      public static enum RegionGenerator.RegionType
      extends java.lang.Enum<RegionGenerator.RegionType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PARTITION`
    `PARTITION_PERSISTENT`
    `PARTITION_PERSISTENT_OVERFLOW`
    `REPLICATE`
    `REPLICATE_PERSISTENT`
    `REPLICATE_PERSISTENT_OVERFLOW`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RegionGenerator.RegionType[]` | `persistentValues()`
    `static RegionGenerator.RegionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RegionGenerator.RegionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REPLICATE

          public static final RegionGenerator.RegionType REPLICATE

    - #### REPLICATE_PERSISTENT

          public static final RegionGenerator.RegionType REPLICATE_PERSISTENT

    - #### REPLICATE_PERSISTENT_OVERFLOW

          public static final RegionGenerator.RegionType REPLICATE_PERSISTENT_OVERFLOW

    - #### PARTITION

          public static final RegionGenerator.RegionType PARTITION

    - #### PARTITION_PERSISTENT

          public static final RegionGenerator.RegionType PARTITION_PERSISTENT

    - #### PARTITION_PERSISTENT_OVERFLOW

          public static final RegionGenerator.RegionType PARTITION_PERSISTENT_OVERFLOW

  - ### Method Detail

    - #### values

          public static RegionGenerator.RegionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RegionGenerator.RegionType c : RegionGenerator.RegionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RegionGenerator.RegionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### persistentValues

          public static RegionGenerator.RegionType[] persistentValues()